<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Block_Payment_Info extends Mage_Payment_Block_Info
{
    /**
     * @inheritdoc
     */
    protected function _construct()
    {
        parent::_construct();
        $this->setTemplate('creativestyle/amazonpay/payment/info.phtml');
    }

    /**
     * @inheritdoc
     */
    public function toPdf()
    {
        $this->setTemplate('creativestyle/amazonpay/payment/pdf/info.phtml');
        return $this->toHtml();
    }
}
