<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Model_Api_PaymentDetails extends Creativestyle_AmazonCheckout_Model_Api_AbstractModel
{
    const FIELD_TYPE_MAP = array(
        'price' => Creativestyle_AmazonCheckout_Model_Api_Price::class
    );

    /**
     * @var string
     */
    public $paymentIntent;

    /**
     * @var bool
     */
    public $canHandlePendingAuthorization;

    /**
     * @var Creativestyle_AmazonCheckout_Model_Api_Price
     */
    public $chargeAmount;

    /**
     * @var Creativestyle_AmazonCheckout_Model_Api_Price
     */
    public $totalOrderAmount;

    /**
     * @var string
     */
    public $presentmentCurrency;

    /**
     * @var string
     */
    public $softDescriptor;
}
